import QtQuick 1.0

// ******************* Start Help Box ***********************
Rectangle{
    property int closeButtonSize: 40
    property int fontSize: 12
    property Item toolbar0;
    property string text: ""
    id:helpBox

    visible:false
    border.color: "#00BB00"
    border.width: 4;
    anchors.fill: parent
    radius:20
    z:22
    anchors.leftMargin: 20
    anchors.rightMargin: {
        if (parent.height<parent.width) 20+toolbar0.width;
        else 20;
    }
    anchors.topMargin: 20
    anchors.bottomMargin: {
        if (parent.height<parent.width) 20;
        else 20+toolbar0.height;
    }
    color: "aliceblue"
//    gradient: Gradient{
//        GradientStop{position:0.0;color:"white";}
//        GradientStop{position:1.0;color:"#C0DEED";}
//    }

    signal hideFunction

    Text {
        id: helpTxt
        anchors.fill: parent
        anchors.margins: 10
        height:parent.height-hideHelp.height-2;
        font.pixelSize: fontSize
        wrapMode:Text.WordWrap;
        text: qsTr(helpBox.text)
    }
    CloseButton{
        id:hideHelp
        enabled:true
        z:30
        size: closeButtonSize;
        onClicked: hideFunction();
    }
    MouseArea{
        anchors.fill:parent
    }
}
// ****************** End Help Box *************************
