import QtQuick 1.0

Rectangle {
    id:container
    property int size: 40
    width: size
    height: size
    radius:size/2
    color:"#888888";
    signal clicked
    smooth:true
    Image {
        id: closeButtonImage
        smooth:true
        anchors.fill: parent
        opacity: {if (mouseArea.pressed) 0.7;
                       else 1.0;
                 }
        source: "aboutButton.png"
    }
    MouseArea { id: mouseArea; anchors.fill: parent; onClicked: container.clicked() }
}

