import QtQuick 1.0

Rectangle {
    id:container
    property int size//: 40
    width: size
    height: size
    radius:size/2
    color:"lime";
    signal clicked
    smooth:true
    anchors.bottom:parent.bottom
    anchors.right: parent.right
    anchors.bottomMargin:-parent.height/80;
    anchors.rightMargin: -parent.width/60;
    Image {
        id: closeButtonImage
        smooth:true
        anchors.fill: parent
        opacity: {
            if (mouseArea.pressed) 0.7;
            else 1.0;
        }
        source: "okButton.png"
    }
    MouseArea { id: mouseArea; anchors.fill: parent; onClicked: container.clicked() }
}
