import QtQuick 1.0

Item {
    id:container
    property int size: 40
    property string imageFilename: ""
    width: size
    height: size
    signal clicked
    Image {
        id: closeButtonImage
        smooth:true
        anchors.fill: parent
        opacity: {if (mouseArea.pressed) 0.7;
                       else 1.0;
                 }
        source: imageFilename;
    }
    MouseArea { id: mouseArea; anchors.fill: parent; onClicked: {container.clicked();} }
}
