import QtQuick 1.0


Rectangle{
    id:appLoader
    height: 854
    width: 480

    Component.onCompleted: {
        console.debug("MainWrapper started "+ new Date());
    }

    BasicIntro{
        id: basicIntro
        anchors.fill: parent
    }

    Loader{
        id:mainApp
        anchors.fill: parent
        onLoaded:{
            basicIntro.opacity=0;
        }
    }
    Timer {
        id:appTimer
        interval: 100; running: true; repeat: true
        onTriggered: {
            mainApp.source="../main.qml";
            appTimer.running=false;
            console.debug("MainApp loaded"+ new Date()+width+" "+height);
        }
    }
}
